{
  description = "Reproduction environment";

  inputs.nixpkgs.url = "github:NixOS/nixpkgs/nixos-24.11";

  outputs = { self, nixpkgs, flake-utils }:
    flake-utils.lib.eachDefaultSystem (system:
    let
      pkgs = import nixpkgs { inherit system; };

      allocPlot = pkgs.writeShellScriptBin "allocPlot" ''
        Rscript --vanilla ./src/allocPlot.r
      '';

      r-with-packages = pkgs.rWrapper.override {
        packages = with pkgs.rPackages; [
          tidyverse
          RColorBrewer
        ];
      };

    in {
      defaultPackage = pkgs.mkShell {
        buildInputs = [
          r-with-packages
        ];
      };

      apps = {
        plot = flake-utils.lib.mkApp { drv = allocPlot; };
      };
    });
}
